Download it now!
Bug 123528 - SVG image anchoring distorts it (FORMATTING)
Summary: SVG image anchoring distorts it (FORMATTING)
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.6.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2019-02-17 17:06 UTC by Reza Asakereh
Modified: 2019-10-15 02:29 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Reza Asakereh 2019-02-17 17:06:17 UTC
Description:
When I anchored the image (Check reproducing steps) as a character the text in the image undergoes some problem and becomes misplaced. I think it is a problem with SVG 

Steps to Reproduce:
1. Download image vector from: https://drive.google.com/open?id=1gIsBuL1prAX37D-tlWxrDlCRvN7hI0o_
2. Download document from https://drive.google.com/open?id=1SJ3bZNBGRNb_dk12lCGT63a4RKlZHScG
3. Try to insert the image at the end of the document
4. Anchor the image as a character (Right click menu > anchor > as character)

Actual Results:
Text in the picture where replaced

Expected Results:
Text in the picture should lay fixed


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Dieter 2019-02-17 20:22:54 UTC
I can't confirm with

Version: 6.1.5.2 (x64)
Build-ID: 90f8dcf33c87b3705e78202e3df5142b201bd805
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group threaded

It seems you're using an old version of LibreOffice. Could you please try to reproduce it with the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ? I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the latest version. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 2 QA Administrators 2019-09-14 02:48:12 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2019-10-15 02:29:53 UTC
Dear Reza Asakereh,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp